//
//  GameViewController.swift
//  BrickBreaker
//
//  Created by Sally McNichols on 10/1/14.
//  Copyright (c) 2014 CMU iOS Development StuCo. All rights reserved.
//

import UIKit
import SpriteKit

class GameViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        
        let skView = self.view as! SKView
        
        // if the scene hasn't been set already
        if(skView.scene == nil) {
            // hide the frame rate and node count
            skView.showsFPS = false
            skView.showsNodeCount = false
            skView.ignoresSiblingOrder = true
            
            // make new instance of GameScene
            let scene = GameScene(size: self.view.bounds.size)
            
            // scale the scene to fit the current view. Aspect fill scales X and Y with
            // the same value by checking how much both axis need to be scaled to fit the view
            // and then applies the larger number to both axis
            scene.scaleMode = .AspectFill
            
            skView.presentScene(scene)
        }
    }

    // view controller contents can autorotate if user rotates phone
    // to play game in other landscape direction
    override func shouldAutorotate() -> Bool {
        return true
    }
    
    // returns the orientations that this view controller supports
    override func supportedInterfaceOrientations() -> UIInterfaceOrientationMask {
        if UIDevice.currentDevice().userInterfaceIdiom == .Phone {
            return UIInterfaceOrientationMask.AllButUpsideDown
        } else {
            return UIInterfaceOrientationMask.All
        }
    }
    
    // hide the status bar (top of phone where you see time, battery, etc.)
    override func prefersStatusBarHidden() -> Bool {
        return true
    }
}
